; ##############################################################################
; ##############################################################################
; ##############################################################################
WDR_INITIALISIERUNG:
; Watchdog aktivieren (max. Zeit)					
	ldi TEMP,(1<<WDCE)|(1<<WDE)  
	out wdtcr,TEMP       
	ldi TEMP,(1<<WDE) | (1<<WDP2)|(1<<WDP1)|(1<<WDP0) 
	out wdtcr,temp
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
NEUSTART_MIT_WDR:
	WDR
	in temp, MCUCSR
	andi temp,0b00001000
	tst temp
	breq NEUSTART_MIT_WDR_FEHLER
	; MCUCSR clear		
	ldi temp,0
	out MCUCSR,temp
	ret
NEUSTART_MIT_WDR_FEHLER:
	rjmp NEUSTART_MIT_WDR_FEHLER
; ##############################################################################
; ##############################################################################
; ##############################################################################
SRAM_CLEAR:
	ldi ZL, LOW (SRAM_START)
	ldi ZH, HIGH(SRAM_START)
	ldi temp,0
SRAM_CLEAR_w:
	ST z+,temp
	cpi ZH, HIGH(RAMEND-1)	; Vergleich?		
	brlo SRAM_CLEAR_w		; kleiner => SPRUNG	
	cpi ZL, LOW(RAMEND-1)	; Vergleich?		
	brlo SRAM_CLEAR_w		; kleiner => SPRUNG	
	breq SRAM_CLEAR_w		; gleich  => SPRUNG	
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
LED_TEST:
	sbi (LED_GRUEN_PORT),LED_GRUEN_PIN_NR		; GRN aus	
	sbi (LED_GELB_PORT),LED_GELB_PIN_NR			; GELB aus	
	sbi (LED_ROT_PORT),LED_ROT_PIN_NR			; ROT  aus	
	sbi (LED_ROTA_PORT),(LED_ROTA_PIN_NR)		; ROT(A)aus	
	sbi (LED_ROTB_PORT),(LED_ROTB_PIN_NR)		; ROT(B)aus	
	sbi (LED_ROTC_PORT),(LED_ROTC_PIN_NR)		; ROT(C)aus	

	cbi (LED_GRUEN_PORT),LED_GRUEN_PIN_NR		; GRN an   
	rcall wait_100ms
	cbi (LED_GELB_PORT),LED_GELB_PIN_NR			; GELB an	
	rcall wait_100ms
	cbi (LED_ROT_PORT),LED_ROT_PIN_NR			; ROT  an	
	rcall wait_100ms
	cbi (LED_ROTA_PORT),(LED_ROTA_PIN_NR)		; ROT(A)an	
	rcall wait_100ms
	cbi (LED_ROTB_PORT),(LED_ROTB_PIN_NR)		; ROT(B)an	
	rcall wait_100ms
	cbi (LED_ROTC_PORT),(LED_ROTC_PIN_NR)		; ROT(C)an	
	rcall wait_100ms

	sbi (LED_GRUEN_PORT),LED_GRUEN_PIN_NR		; GRN aus	
	sbi (LED_GELB_PORT),LED_GELB_PIN_NR			; GELB aus	
	sbi (LED_ROT_PORT),LED_ROT_PIN_NR			; ROT  aus	
	sbi (LED_ROTA_PORT),(LED_ROTA_PIN_NR)		; ROT(A)aus	
	sbi (LED_ROTB_PORT),(LED_ROTB_PIN_NR)		; ROT(B)aus	
	sbi (LED_ROTC_PORT),(LED_ROTC_PIN_NR)		; ROT(C)aus	
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
