;																				
; Warteschleifen																
; Version: 24.11.2011															
; 16 MHz Takt																	
; 																				
; Hinweis: die Wartezeiten stimmen nur dann, wenn kein Interruptaufruf erfolgt	
;																				
; ##############################################################################
; ##############################################################################
; ##############################################################################
WAIT_1us:
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
	nop
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ca.5s Pause																	
wait_5us:                              
	push temp1          ; temp1 auf dem Stack sichern            
;------------
    WDR					; WATCH-DOG		
	ldi  temp1, 25		; (25 bei 16MHz)	
wait_5us_w: 
	dec  temp1
    brne wait_5us_w
;------------
	pop temp1      		; temp1 wiederherstellen                    
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ca.50s Pause																	
wait_50us:                              
	push temp1          ; temp1 auf dem Stack sichern            
;------------
	ldi  temp1, 200		; (200 bei 16MHz)	
wait_50us_w: 
    WDR					; WATCH-DOG		
	dec  temp1
    brne wait_50us_w
;------------
	pop temp1      		; temp1 wiederherstellen                    
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
wait_1ms:                               
	push temp1           ; temp1 auf dem Stack sichern            
	push temp2           ; temp2 auf dem Stack sichern            
;------------
	clr temp1
    ldi temp2,16		; (16 bei 16MHz)	
wait_1ms_w:
    WDR					; WATCH-DOG		
	dec  temp1
    brne wait_1ms_w
    dec  temp2
    brne wait_1ms_w
;------------
	pop temp2      		; temp2 wiederherstellen                    
	pop temp1      		; temp1 wiederherstellen                    
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ca. 5ms Pause																	
wait_5ms:                               
	push temp1           ; temp1 auf dem Stack sichern            
	push temp2           ; temp2 auf dem Stack sichern            
;------------
	clr temp1
    ldi temp2,78		; ( bei 16MHz)	
wait_5ms_w:
    WDR					; WATCH-DOG		
	dec  temp1
    brne wait_5ms_w
    dec  temp2
    brne wait_5ms_w
;------------
	pop temp2      		; temp2 wiederherstellen                    
	pop temp1      		; temp1 wiederherstellen                    
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ca. 20ms Pause																
wait_20ms:                               
	push temp1         	; temp1 auf dem Stack sichern            
	push temp2          ; temp2 auf dem Stack sichern            
;------------
	clr temp1
    ldi temp2,249		; (249 bei 16MHz)	
wait_20ms_w:
    WDR					; WATCH-DOG		
	NOP
	dec  temp1
    brne wait_20ms_w
    dec  temp2
    brne wait_20ms_w
;------------
	pop temp2      		; temp2 wiederherstellen                    
	pop temp1      		; temp1 wiederherstellen                    
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ca. 100ms Pause																
WAIT_100ms:
	push temp1          ; temp1 auf dem Stack sichern            
	push temp2          ; temp2 auf dem Stack sichern            
	push temp3          ; temp3 auf dem Stack sichern            
;------------
	clr	temp1			
	clr temp2
	ldi	temp3,6			; (6 bei 16MHz)	
WAIT_100ms_w:	
    WDR					; WATCH-DOG		
	dec	 temp1
	brne WAIT_100ms_w
	dec	 temp2		
	brne WAIT_100ms_w
	dec	 temp3		
	brne WAIT_100ms_w
;------------
	pop temp3      		; temp3 wiederherstellen                    
	pop temp2      		; temp2 wiederherstellen                    
	pop temp1      		; temp1 wiederherstellen                    
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
; ca. 1s Pause																	
WAIT_1s:
	push temp1          ; temp1 auf dem Stack sichern            
	push temp2          ; temp2 auf dem Stack sichern            
	push temp3          ; temp3 auf dem Stack sichern            

;------------
	clr	temp1			
	clr temp2
	ldi	temp3,64		; (64 bei 16MHz)	
wait1s_w:	
    WDR					; WATCH-DOG		
	dec	temp1
	brne	wait1s_w
	dec	temp2		
	brne	wait1s_w
	dec	temp3
	brne	wait1s_w
;------------
	pop temp3      		; temp3 wiederherstellen                    
	pop temp2      		; temp2 wiederherstellen                    
	pop temp1      		; temp1 wiederherstellen                    
ret
; ##############################################################################
; ##############################################################################
; ##############################################################################
